Subject: Re: [RFC] adding hwmon support to sequoia device tree

From: Matthias Fuchs <[email-masked]>
Date: Thu, 4 Sep 2008 16:28:29 +0200

Hi, 

On Thursday 04 September 2008 14:25, Josh Boyer wrote:
> On Thu, Sep 04, 2008 at 11:55:02AM +0200, Matthias Fuchs wrote:
> >Hi,
> >
> >I added support for the Sequoia on-board I2C temperature sensor to the device.
> >I am not sure if there is any node naming convention for such devices.
> >The needed I2C driver can be found under drivers/hwmon in the kernel sources,
> >so I found "hwmon" suitable for the node.
> >
> >Do we want to add this to the sequoia dts file? If this is how it should be done,
> >I will commit a proper patch.
> 
> See comments below.  Out of curiosity, do you have a working driver and
> setup with this?
Of course. 

You need
	CONFIG_HWMON=y
	CONFIG_SENSORS_AD7414=y

Via sysfs you get:
sequoia:~# cat /sys/bus/i2c/devices/0-0048/temp1_input
34750
sequoia:~# cat /sys/class/hwmon/hwmon0/device/temp1_input
34750
sequoia:~# 

34750 = 34.75°C

> 
> >diff --git a/arch/powerpc/boot/dts/sequoia.dts b/arch/powerpc/boot/dts/sequoia.dts
> >index 72d15f0..82fdfdf 100644
> >--- a/arch/powerpc/boot/dts/sequoia.dts
> >+++ b/arch/powerpc/boot/dts/sequoia.dts
> >@@ -246,13 +246,23 @@
> >                        };
> >
> >                        IIC0: i2c@ef600700 {
> >+                               #address-cells = <1>;
> >+                               #size-cells = <0>;
> >                                compatible = "ibm,iic-440epx", "ibm,iic";
> >                                reg = <0xef600700 0x00000014>;
> >                                interrupt-parent = <&UIC0>;
> >                                interrupts = <0x2 0x4>;
> >+
> >+                               hwmon@48 {
> >+                                       device_type = "hwmon";
> 
> We don't need device_type.  Particularly not a new one like this.
I will remove that.
> 
> >+                                       compatible = "analog,ad7414";
> 
> Perhaps 'compatible = "analog,ad7417", "amcc,hwmon-440epx";'
It has nothing to do with either AMCC or 440EPx.

Patch is on the way.

Matthias